<?xml version="1.0" encoding="UTF-8"?>
<launch>

  <param name="robot_description" command="$(find xacro)/xacro.py '$(find profi2022_test_scene)/models/diff_drive_robot/urdf/diff_drive_robot.xacro'"/>

  <node name="joint_state_publisher" pkg="joint_state_publisher" type="joint_state_publisher" ></node>

  <node pkg="robot_state_publisher" type="robot_state_publisher" name="robot_state_publisher" output="screen" >
    <param name="publish_frequency" type="double" value="40.0" />
  </node>


  <include file="$(find gazebo_ros)/launch/empty_world.launch">
    <arg name="world_name" value="$(find profi2022_test_scene)/worlds/simple_scene.world"/>
    <arg name="paused" value="false"/>
    <arg name="use_sim_time" value="true"/>
    <arg name="gui" value="true"/>
    <arg name="headless" value="false"/>
    <arg name="debug" value="false"/>
  </include>


  <node name="diff_drive_robot_spawn" pkg="gazebo_ros" type="spawn_model" output="screen"
   args="-urdf -param robot_description -model diff_drive_robot" />

</launch>
